#bar plot
import numpy as np 
import matplotlib.pyplot as plt

data = np.loadtxt("a2s_solvated_bar_results.dat")

#Matplotlib settings
SMALL_SIZE = 10
MEDIUM_SIZE = 12
BIGGER_SIZE = 14

plt.rc('font', size=SMALL_SIZE)          # controls default text sizes
plt.rc('axes', titlesize=SMALL_SIZE)     # fontsize of the axes title
plt.rc('axes', labelsize=MEDIUM_SIZE)    # fontsize of the x and y labels
plt.rc('xtick', labelsize=SMALL_SIZE)    # fontsize of the tick labels
plt.rc('ytick', labelsize=SMALL_SIZE)    # fontsize of the tick labels
plt.rc('legend', fontsize=SMALL_SIZE)    # legend fontsize
plt.rc('figure', titlesize=BIGGER_SIZE)  # fontsize of the figure title

lam = np.array([0,0.1,0.15,0.2,0.3,0.4,0.5,0.55,0.6,0.65,0.7,0.75,0.8,0.85,0.9,0.95,1.0])
width = 0.03

fig, ax = plt.subplots()
rects1 = ax.bar(lam-width/2,data[:,0],yerr=data[:,1],width=width,label=r'Ala to Ser $\Delta G_{step}$')
rects2 = ax.bar(lam+width/2,data[:,2],yerr=data[:,3],width=width,label=r'Ala to Ser $\Delta G_{cumulative}$')

ax.set_ylabel(r'$\Delta$G [kJ/mol]')
ax.set_xlabel(r'$\lambda$')
ax.legend()

fig.tight_layout()
plt.show()